For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

get market positions

get

https://pro-api-dev.solscan.io/v2.0/market/positions

Get market positions

QUERY PARAMS

address

string

required

Market address/Pool address

page

number

Page number for pagination

page_size

number

Number of items per page

sort_by

string

Field to sort by

sort_order

string

Sort order

in_range

boolean

Filter positions that are in range or out of range. In range means the current price is between the price range of position, otherwise is out of range

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

position_id

string

The position id

pool_id

string

The market id

created_time

number

Timestamp of the position creation

program

string

The program owner

token_address

string

The token address of position

position_owner

string

The owner of the position

position_value

number

The value of the position

position_type

string

The type of the position

is_pos_in_range

boolean

Position is in or out of range

token_1

string

Address of token

token_2

string

Address of token

amount_1

number

Amount of token_1 in position

amount_2

number

Amount of token_2 in position

current_price

number

Current price

lower_price

number

Lower price

upper_price

number

Upper price

value

number

Position value

is_in_range

boolean

Whether the position is in range

updated_time

number

Timestamp of the last update

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples